Subject: Re: [PATCH net-next 02/11] ethtool: Add loopback netlink UAPI definitions

From: Jakub Kicinski <[email-masked]>
Date: Wed, 11 Mar 2026 19:50:52 -0700

On Wed, 11 Mar 2026 20:26:39 +0100 Andrew Lunn wrote:
> > For that we have what we need with phy_link_topology, as each PHY has
> > its index, we should be good to go in that regard hopefully :)  
> 
> So depth would be local to a component? We could have two PHY
> components, each with a different index, and depth = 0?
> 
> I _think_ Jakub's depth was more at a global level? But then it would
> need to be passed down as we do the enumeration.

Oh, sorry, I responded without reading the whole discussion :)
No, I imagined the depth would be within a single component, 
so under control of a single driver (instance). The ordering
between components should be defined by PHY topology etc so
it's outside of the loopback config.